Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.txn
Class SynchronizedTransactions.AccumulatingMonitor

    java.lang.Object
      org.modeshape.jcr.txn.SynchronizedTransactions.AccumulatingMonitor

All Implemented Interfaces:
  SessionEnvironment.Monitor

Enclosing class:
  SynchronizedTransactions

    protected static final class SynchronizedTransactions.AccumulatingMonitor

extends Object
implements SessionEnvironment.Monitor

Constructor Summary
`protected` | `SynchronizedTransactions.AccumulatingMonitor()`

Method Summary
`protected void` | `forward(SessionEnvironment.Monitor delegate)`
`void` | `recordAdd(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Collection<Property> properties)` Add to the index the information about a node.
`void` | `recordChanged(long changedNodesCount)` Record total number of nodes that were affected
`void` | `recordRemove(String workspace, Iterable<NodeKey> keys)` Remove from the index for the given workspace all of the nodes with the supplied keys.
`void` | `recordUpdate(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Iterator<Property> properties)` Update the index to reflect the new state of the node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizedTransactions.AccumulatingMonitor

    protected SynchronizedTransactions.AccumulatingMonitor()

Method Detail

### recordAdd

    public void recordAdd(String workspace,
                          NodeKey key,
                          Path path,
                          Name primaryType,
                          Set<Name> mixinTypes,
                          Collection<Property> properties)

  Description copied from interface: `SessionEnvironment.Monitor`
  Add to the index the information about a node.

  Specified by:
    `recordAdd` in interface `SessionEnvironment.Monitor`
  Parameters:
    `workspace` - the workspace in which the node information should be available; may not be null
    `key` - the unique key for the node; may not be null
    `path` - the path of the node; may not be null
    `primaryType` - the primary type of the node; may not be null
    `mixinTypes` - the mixin types for the node; may not be null but may be empty
    `properties` - the properties of the node; may not be null but may be empty

### recordChanged

    public void recordChanged(long changedNodesCount)

  Description copied from interface: `SessionEnvironment.Monitor`
  Record total number of nodes that were affected

  Specified by:
    `recordChanged` in interface `SessionEnvironment.Monitor`

### recordRemove

    public void recordRemove(String workspace,
                             Iterable<NodeKey> keys)

  Description copied from interface: `SessionEnvironment.Monitor`
  Remove from the index for the given workspace all of the nodes with the supplied keys.

  Specified by:
    `recordRemove` in interface `SessionEnvironment.Monitor`
  Parameters:
    `workspace` - the workspace in which the nodes were removed; may not be null
    `keys` - the keys for the nodes that are to be removed; may not be null

### recordUpdate

    public void recordUpdate(String workspace,
                             NodeKey key,
                             Path path,
                             Name primaryType,
                             Set<Name> mixinTypes,
                             Iterator<Property> properties)

  Description copied from interface: `SessionEnvironment.Monitor`
  Update the index to reflect the new state of the node.

  Specified by:
    `recordUpdate` in interface `SessionEnvironment.Monitor`
  Parameters:
    `workspace` - the workspace in which the node information should be available; may not be null
    `key` - the unique key for the node; may not be null
    `path` - the path of the node; may not be null
    `primaryType` - the primary type of the node; may not be null
    `mixinTypes` - the mixin types for the node; may not be null but may be empty
    `properties` - the properties of the node; may not be null but may be empty

### forward

    protected void forward(SessionEnvironment.Monitor delegate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.